summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorEd Bartosh <ed.bartosh@linux.intel.com>2015-12-02 10:02:45 -0800
committerRichard Purdie <richard.purdie@linuxfoundation.org>2015-12-07 17:22:59 +0000
commit24cd26b39014419d883b7cf45e4943c301d585cc (patch)
treefceac0d42471b7122ae76ab59adca1a0b3419ee1 /bin
parentd8e9ce7ba3f5b89c51e769bd4a46c2026a110d40 (diff)
downloadbitbake-24cd26b39014419d883b7cf45e4943c301d585cc.tar.gz
toaster: implement 'toaster restart-bitbake'
This implementation allows to have functionality of restarting bitbake in toaster script. It can be used by toaster script and build controllers. [YOCTO #8279] Signed-off-by: Ed Bartosh <ed.bartosh@linux.intel.com> Signed-off-by: brian avery <avery.brian@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'bin')
-rwxr-xr-xbin/toaster9
1 files changed, 9 insertions, 0 deletions
diff --git a/bin/toaster b/bin/toaster
index 34a4e8f6f..c89e01570 100755
--- a/bin/toaster
+++ b/bin/toaster
@@ -268,6 +268,15 @@ if [ `basename \"$0\"` = `basename \"${TOASTER}\"` ]; then
exit 1
fi
+if [ "$1" = 'restart-bitbake' ] ; then
+ stop_bitbake
+ sleep 1
+ start_bitbake
+ rc=$?
+ sleep 1
+ return $rc
+fi
+
if ! verify_prereq; then
echo "Error: Could not verify that the needed dependencies are installed. Please use virtualenv and pip to install dependencies listed in toaster-requirements.txt" 1>&2
return 1